<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsSocket Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_socket.html">XsSocket</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a234d0c15fdda1e28af5738ced09918fd">accept</a>(int mstimeout=-1)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#aa84232dadfa055c6cc0a1f43cf11231d">bind</a>(uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a206ff2c81e4801776a940f50426ee988">bind</a>(const XsString &amp;hostname, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a6bcc278abac384bf3b0d59f4cb1e0a65">close</a>()</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#ac615e44485445654224055a633686c3c">connect</a>(const XsString &amp;host, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#ab49bd40a61867faa36014f6ae05a7280">flush</a>()</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a9d533200142d8b868b4496c3ce094c7f">getLastSystemError</a>() const </td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#ada6f41050e867cfbe529c9cb17f859f3">getRemoteAddress</a>() const </td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#ab8c41651c24a7829971313b733aa673c">isUsable</a>() const </td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a57ff1e707c91da9fa3e622d62de929a0">listen</a>(int maxPending=20)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a16be026ffca29ca6bd75a1b324f14b20">nativeDescriptor</a>() const </td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#acca4d118f919fdf85f665a73640f7180">operator delete</a>(void *p)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a8d99718e4dbb3bc087bfc5d4eabd13de">operator new</a>(size_t)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a4f74aa15958134c2517226e40a43d382">read</a>(XsByteArray &amp;buffer, int timeout=0)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#aaa9d2c08b585fa6c428104a2959422d0">read</a>(void *dest, XsSize size, int timeout=0)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a77466f3cc02a7b149f3af2d8486b504d">readFrom</a>(XsByteArray &amp;buffer, XsString *hostname=NULL, uint16_t *port=NULL, int timeout=0)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a713868705f3015b271e01cd3701ade4a">readFrom</a>(void *dest, XsSize size, XsString *hostname=NULL, uint16_t *port=NULL, int timeout=0)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a3552933c42be177608342581260dafaf">select</a>(int mstimeout, int *canRead, int *canWrite)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#aa89c187214ce0eb0c34aef0d33bc562c">setSocketOption</a>(XsSocketOption option, void *valuePtr, int valueSize)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a6b59db4b5446235149fa18d9c8d8ca10">setSocketOption</a>(XsSocketOption option, int value)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a2439af994e85f25b07191daedf028202">write</a>(const XsByteArray &amp;buffer)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#aaab82e6e61bc37cee7e69a568d4f22b0">write</a>(const void *data, XsSize size)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a5e72b8f608aaefd1143cd414b518c95d">writeTo</a>(const XsByteArray &amp;buffer, const XsString &amp;hostname, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a9a8ef418ec07f221cbdfa35e930641d4">writeTo</a>(const void *data, XsSize size, const XsString &amp;hostname, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a3de6ce468984f6b485c9763398aba41e">XsSocket</a>(IpProtocol protocol, NetworkLayerProtocol ipVersion=NLP_IPVX)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a3018eb1553195124af1ebbdad4e00ae3">XsSocket</a>(int sockfd, XsDataFlags flags=XSDF_None)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#aef2b1cf6828b592f3d548f667463aa45">XsSocket_accept</a>(XsSocket *, int mstimeout)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a884819f6c66687710217f29c83b59974">XsSocket_bind</a>(XsSocket *, const XsString *hostname, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a89d30c205bd764d5f3aec68ddc255827">XsSocket_close</a>(XsSocket *)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a3fef6f3393553c267cd09c5fb93f5adf">XsSocket_connect</a>(XsSocket *, const XsString *host, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a5cfe8b06f783a93bbf0bb7b927100cca">XsSocket_create</a>(XsSocket *, enum NetworkLayerProtocol ip, enum IpProtocol protocol)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a12ac9b04061d9539a9bcf66fd6c56bea">XsSocket_createFromFileDescriptor</a>(XsSocket *, int sockfd, XsDataFlags flags)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a027a0c2f50f158f14c892f14a7e9e6ca">XsSocket_destroy</a>(XsSocket *)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#aa9b786c94d41e6838ab5bc74361a9496">XsSocket_flush</a>(XsSocket *)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a02a72ddaec699f6ec4500c1e4d725265">XsSocket_free</a>(XsSocket *)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#abe5f499cf0b43bc038a6d3e37970fc64">XsSocket_isUsable</a>(const XsSocket *)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a7a0819e67764243b178b460aab8eb8ef">XsSocket_listen</a>(XsSocket *, int maxPending)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a1b4f95caf464c51c749a56de75b07b32">XsSocket_read</a>(XsSocket *, void *dest, XsSize size, int timeout)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#ad6c8061b4441e7da2ba2e5c7a0e8c689">XsSocket_readFrom</a>(XsSocket *, void *dest, XsSize size, XsString *hostname, uint16_t *port, int timeout)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#afb2aa75166c275b9b7c4ff8a3c64df95">XsSocket_select</a>(XsSocket *, int mstimeout, int *canRead, int *canWrite)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#acf4ad72db0e5d57e27c39f9da08fb22a">XsSocket_setSocketOption</a>(XsSocket *, enum XsSocketOption option, void *valuePtr, int valueSize)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a553cbc6e4d36374df3fb1c91df6697a2">XsSocket_write</a>(XsSocket *, const void *data, XsSize size)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_socket.html#a481fc11792ee50fbee478064af59945d">XsSocket_writeTo</a>(XsSocket *, const void *data, XsSize size, const XsString *hostname, uint16_t port)</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_socket.html#a820e5276af505400ccf36aed2a538c50">~XsSocket</a>()</td><td class="entry"><a class="el" href="struct_xs_socket.html">XsSocket</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
